# Cities Skylines 2 : Improved Service Vehicle AI

Service vehicles will be improved with a more natural mechanism.

## Features
### 1. Maintenance Car
- Work by time zone (Day: 06-22 / Night: 22-06)
- At day, Repair roads as pass without stopping (Repair volume: Medium)
- At night, Repair roads as pass without stopping (Repair volume: Small) and is stopped at the destination (Repair volume: Large)
- The maximum available capacity has been increased according to the repair volume and method
- No stop at Waypoint
- The maximum speed was applied according to the status of Working, Returing and Dispatch

### 2. Garbage Car
- Collect garbage as pass by without stopping (Industrial waste is collected at the destination (building))
- No stop at Waypoint
- The maximum speed was applied according to the status of Working, Moving, Returing and Full
- When it's not in the works, it moves at a moving speed and gradually decreases at a working speed as you approach the working point.

### 3. Post Car
- No stop at Waypoint
- Stop for a little while at the destination
- Delivery and collection are also carried out at the same time in buildings near the destination (Except when a vehicle enters the building)
- Increased priority of collection from post boxes
- It runs on the same lane as a regular vehicle
- We've changed the update cycle in line with the new method to reduce the computational load

### 4. Others
- It may take some time to apply
- Vehicles that follow the existing mechanism will be automatically deleted

## Support
- Because I can't speak English, I'm using a translator.
- My mode is basically using the original functions so that I don't want to destroy the saved file
- Please use Discord for inquiries about modes, corrections, and bug reports.
- Discord : https://discord.gg/wNAyF78XBp

## Compatibility
- This mode uses 'GarbageTruckAISystem'  'MaintenanceVehicleAISystem'  'PostVanAISystem'




## Requirements
- Game 1.0.15f1
- BepInEx 5.4.21.0